<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLFBOManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a46872b3d98eb44c95570e9ed6a69ba90">_tryFormat</a>(GLenum depthFormat, GLenum stencilFormat)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#aa85b0158dcf4b507038b4881ef5c6082">_tryPackedFormat</a>(GLenum packedFormat)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a2f2d3f47f82a3b009c4a0037f27de6d8">bind</a>(RenderTarget *target)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a8a95d8f7f7aedd2c70b2c9fe546528f1">checkFormat</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a34ef91963d6db79ab0cc55861df1462d">createMultiRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#adcc5f5828dd6106ea3fa194924db66b2">createRenderTexture</a>(const String &amp;name, const GLSurfaceDesc &amp;target, bool writeGamma, uint fsaa)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a8ad16c0ad39f1a22a1a810ce43e557ab">detectFBOFormats</a>()</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a5427433796eddd9ca51bce5a015200c0">getBestDepthStencil</a>(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRTTManager.html#a106e43311c8d274d515f7b954e4fb24f">getSupportedAlternative</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1GLRTTManager.html">Ogre::GLRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a86e8f0bc503e0c160a01258be0bc8e8b">getTemporaryFBO</a>()</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a867f8678394c9357e0d941a7b46dd20d">GLFBOManager</a>(bool atimode)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#ae684a84f3f8cd89ddca4062ca25e1374">mATIMode</a></td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#af3aacbf298934f4eff3a6c3fa1663f53">mProps</a></td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#afc86de36017a02b7b4038c8124c7cf72">mRenderBufferMap</a></td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#ad0d411e6dcb1e0f64f7cef6c972a0c8b">mTempFBO</a></td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#ab522e644cc88174ffc7a5dcd149dddfc">releaseRenderBuffer</a>(const GLSurfaceDesc &amp;surface)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#aa220ae983ae5d6e4ac784504d318c2cf">RenderBufferMap</a> typedef</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#ab71472f0cd597f505c8df02ae9976300">requestRenderBuffer</a>(GLenum format, size_t width, size_t height, uint fsaa)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#addf8cfd572e75195653bcc4d0bb1caf4">requestRenderBuffer</a>(const GLSurfaceDesc &amp;surface)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#aa17c48a8227a5428e39a750e9fe9eda6">unbind</a>(RenderTarget *target)</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFBOManager.html#a7dfb9b8f15b3afaa4c0cec1ad98fdde8">~GLFBOManager</a>()</td><td><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRTTManager.html#a22926ca1dc7a6ca3b249e3bdf5473da6">~GLRTTManager</a>()</td><td><a class="el" href="classOgre_1_1GLRTTManager.html">Ogre::GLRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:18
</p>
</body>
</html>
